OsgiJacksonModule (Jackson module: OSGi 2.9.0 API)
Date: 2017-07-29

com.fasterxml.jackson.module.osgi

## Class OsgiJacksonModule

- java.lang.Object
- - com.fasterxml.jackson.databind.Module
  - - com.fasterxml.jackson.module.osgi.OsgiJacksonModule

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned

      public class OsgiJacksonModule
      extends com.fasterxml.jackson.databind.Module

  A Jackson Module to inject OSGI services in deserialized objects. Note that registration will replace possibly exsting value injector (`InjectableValues`) implementation by calling `ObjectMapper.setInjectableValues(com.fasterxml.jackson.databind.InjectableValues)`.
  See Also:
    `OsgiInjectableValues`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.Module

      `com.fasterxml.jackson.databind.Module.SetupContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OsgiJacksonModule(org.osgi.framework.BundleContext bundleContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getModuleName()`
    `void` | `setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)`
    `com.fasterxml.jackson.core.Version` | `version()`

    - ### Methods inherited from class com.fasterxml.jackson.databind.Module

      `getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OsgiJacksonModule

          public OsgiJacksonModule(org.osgi.framework.BundleContext bundleContext)

  - ### Method Detail

    - #### getModuleName

          public String getModuleName()

      Specified by:
        `getModuleName` in class `com.fasterxml.jackson.databind.Module`

    - #### version

          public com.fasterxml.jackson.core.Version version()

      Specified by:
        `version` in interface `com.fasterxml.jackson.core.Versioned`
      Specified by:
        `version` in class `com.fasterxml.jackson.databind.Module`

    - #### setupModule

          public void setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)

      Specified by:
        `setupModule` in class `com.fasterxml.jackson.databind.Module`

Copyright © 2017 FasterXML. All rights reserved.